Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Remove Object Lock Bypassing Governance

Clear the governance retention on an object version before it expires. Restricted to the project owner and project admins.

POST/datasets/{Dataset_Id}/objects/bypass-governance/

Path parameters

  • Dataset_IdPathintegeroptional

    dataset id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
object_namestringrequired
exampletrain/images/example.png
version_idstringrequired
example7e1a9f0c-0f6f-4a2a-9f1e-2b7c1d4e5a6b
retention_periodinteger

New retention period in days. Only used when updating retention.

example7

Responses

No documented responses.